/***************************************************************************
 *            lists-fun.h
 *
 *  Tue Oct 25 15:58:09 2005
 *  Copyright  2005  Tomek Jankowski
 *  Email	tomcio-j@o2.pl
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include <gtk/gtk.h>
#include <glib.h>
#include <stdio.h>

void	create_main_list				(void);

void	create_menage_db_list			(GtkWidget	*widget);

void	create_search_list				(GtkWidget	*widget);

void	create_books_list				(GtkWidget	*widget,
										 gint		mode);
									 
void	create_main_win_m_books_list	(void);		

void	create_property_dlg_books_list	(GtkWidget	*widget);
									 
void	create_m_volume_list			(GtkWidget	*widget);	

void	create_search_books_list		(GtkWidget	*widget);

void	clear_list_list					(GtkWidget	*list);

void	clear_tree_list					(GtkWidget	*list);

/*	Inne funkcje zwiazane z listami	*/

void	m_book_list_mark_row 			(GtkTreeViewColumn *col,
                		     			 GtkCellRenderer   *renderer,
                   						 GtkTreeModel      *model,
                 		    	    	 GtkTreeIter       *iter,
                 				    	 gpointer           user_data);
