/***************************************************************************
 *            search_win-callbacks.h
 *
 *  Sat Oct 22 10:41:29 2005
 *  Copyright  2005  Tomek Jankowski
 *  Email	tomcio-j@o2.pl
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include <gtk/gtk.h>
#include <glib.h>
#include <stdio.h>

gboolean
on_search_win_delete_event             (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_addvanced_search_exp_activate       (GtkExpander     *expander,
                                        gpointer         user_data);

void
on_title_check_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_genere_check_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_publish_house_check_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_language_check_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_publish_year_check_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_pages_number_check_clicked          (GtkButton       *button,
                                        gpointer         user_data);
										
void
on_author_check_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_translator_check_clicked            (GtkButton       *button,
                                        gpointer         user_data);								

void
on_search_books_list_row_activated     (GtkTreeView     *treeview,
                                        GtkTreePath     *path,
                                        GtkTreeViewColumn *column,
                                        gpointer         user_data);

void
on_search_search_but_clicked           (GtkButton       *button,
                                        gpointer         user_data);

void
on_search_stop_but_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_search_close_but_clicked            (GtkButton       *button,
                                        gpointer         user_data);
